import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import React from 'react';
import PropTypes from 'prop-types';
import ReactBootstrapCol from 'react-bootstrap/lib/Col';
export var Col =
/*#__PURE__*/
function (_React$Component) {
  _inheritsLoose(Col, _React$Component);

  function Col() {
    return _React$Component.apply(this, arguments) || this;
  }

  var _proto = Col.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        children = _this$props.children,
        testAutomationId = _this$props.testAutomationId,
        props = _objectWithoutPropertiesLoose(_this$props, ["children", "testAutomationId"]);

    return React.createElement(ReactBootstrapCol, _extends({
      "data-test-automation-id": testAutomationId
    }, props), children);
  };

  return Col;
}(React.Component);

_defineProperty(Col, "propTypes", {
  testAutomationId: PropTypes.string,
  children: PropTypes.node.isRequired
});

_defineProperty(Col, "defaultProps", {
  testAutomationId: null,
  children: null
});